WCSNCMP(3)

NAME
wcsncmp - compare part of two wide-character strings

SYNOPSIS

#include <wchar.h>

int wcsncmp(const wchar_t *s1, const wchar_t *s2, size_t n);

DESCRIPTION

The wcsncmp function compares not more than n wide-character codes (wide-character codes that follow a null wide-character code are not compared) from the array pointed to by s1 to the array pointed to by s2.

The sign of a non-zero return value is determined by the sign of the difference between the values of the first pair of wide-character codes that differ in the objects being compared.

RETURNS

Upon successful completion, wcsncmp returns an integer greater than, equal to or less than 0, if the possibly null-terminated array pointed to by s1 is greater than, equal to or less than the possibly null-terminated array pointed to by s2 respectively.

PORTABILITY

wcsncmp is ISO/IEC 9899/AMD1:1995 (ISO C).

No supporting OS subroutines are required.